﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace Datatemplate {
	/// <summary>
	/// MainWindow.xaml 的交互逻辑
	/// </summary>
	public partial class MainWindow : Window {
		ObservableCollection<Student> students = new ObservableCollection<Student>();
		public MainWindow() {
			InitializeComponent();
			dockPanel.DataContext = students;
		}

		private void addButton_Click(object sender, RoutedEventArgs e) {
			students.Add(new Student(Name.Text.Trim(), Age.Text.Trim()));
		}

		public class Student : INotifyPropertyChanged {
			string _name;
			public string name { get { return _name; } set { _name = value; Notify("name"); } }
			string _age;
			public string age { get { return _age; } set { _age = value; Notify("age"); } }

			public Student(string _name, string _age) {
				this._name = _name;
				this._age = _age;
			}

			void Notify(string propName) {
				if (PropertyChanged != null) {
					PropertyChanged(this, new PropertyChangedEventArgs(propName));
				}
			}

			#region INotifyPropertyChanged Members
			public event PropertyChangedEventHandler PropertyChanged;
			#endregion
		}
	}
}
